## dolphin 22.08.1

=== debian/changelog ===
dolphin (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Sep 2022 22:53:02 +0200

dolphin (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 06:47:56 +0200

dolphin (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 May 2022 08:01:51 +0200

dolphin (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:07:52 +0100

dolphin (4:21.12.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.83.0
  * Update the patches:
    - upstream-27bfcde4-dolphin-kinit.patch: drop, backported from upstream
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 10:27:22 +0100
