## dolphin 22.08.2

=== debian/changelog ===
dolphin (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:13:55 +0100

dolphin (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:26 +0100

dolphin (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:50 +0100

dolphin (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 09:52:03 +0100

dolphin (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:02 +0100

dolphin (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:37 +0100

dolphin (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:25 +0100

dolphin (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:14 +0100
