## dolphin 22.12.0

=== debian/changelog ===
dolphin (4:22.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream patch to fix various copy/paste issues. (Closes:
    #1025943)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Dec 2022 22:06:28 +0100

dolphin (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:19 +0100
