## dolphin 22.12.1

=== debian/changelog ===
dolphin (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Drop patch upstream_c8aed8ac_Revert-portalize-drag-urls.patch
    applied upstream.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:42 +0100
