## dolphin 22.12.2

=== debian/changelog ===
dolphin (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 07:50:11 +0100
