=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 5.92.0~),
                gettext,
                kinit-dev (>= 5.77.0~),
