=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: baloo-kf5-dev (>= 5.92.0~) [!hurd-any],
                cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -48,13 +48,13 @@
 Package: dolphin
 Section: utils
 Architecture: any
-Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
+Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends},
 Recommends: ffmpegthumbs,
             kdegraphics-thumbnailers,
             kimageformat-plugins,
             kio-extras,
-Suggests: dolphin-plugins
-Conflicts: dolphin-plugins (<< 4:21.04.0~)
+Suggests: dolphin-plugins,
+Conflicts: dolphin-plugins (<< 4:21.04.0~),
 Description: file manager
  Dolphin is the default file manager in the Plasma, intended
  to be both powerful and easy to use.
@@ -72,7 +72,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: file manager - development files
  Contains DBus interface XML files to access dolphin via the DBus
  org.freedesktop.FileManager1 interface.
@@ -95,7 +95,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library to show version control in Dolphin
  This library enables developers to expand Dolphin with the ability to show
  version control status in directories that are version controlled.
