## dolphin 23.08.1

=== debian/changelog ===
dolphin (4:23.08.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (23.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Oct 2023 23:33:43 +0200
