=== debian/control ===
--- 
+++ 
@@ -3,39 +3,40 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: baloo-kf5-dev (>= 5.92.0~) [!hurd-any],
+Build-Depends: baloo-kf5-dev (>= 5.101.0~) [!hurd-any],
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.101.0~),
                gettext,
                kinit-dev (>= 5.77.0~),
                kuserfeedback-dev (>= 1.2.0~),
-               libkf5activities-dev (>= 5.92.0~),
+               libkf5activities-dev (>= 5.101.0~),
                libkf5baloowidgets-dev (>= 4:20.04.0~) [!hurd-any],
-               libkf5bookmarks-dev (>= 5.92.0~),
-               libkf5completion-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5crash-dev (>= 5.92.0~),
-               libkf5dbusaddons-dev (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
-               libkf5filemetadata-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5kcmutils-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5newstuff-dev (>= 5.92.0~),
-               libkf5notifications-dev (>= 5.92.0~),
-               libkf5parts-dev (>= 5.92.0~),
-               libkf5solid-dev (>= 5.92.0~),
-               libkf5textwidgets-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5windowsystem-dev (>= 5.92.0~),
+               libkf5bookmarks-dev (>= 5.101.0~),
+               libkf5completion-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5crash-dev (>= 5.101.0~),
+               libkf5dbusaddons-dev (>= 5.101.0~),
+               libkf5doctools-dev (>= 5.101.0~),
+               libkf5filemetadata-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5iconthemes-dev (>= 5.101.0~),
+               libkf5kcmutils-dev (>= 5.101.0~),
+               libkf5kio-dev (>= 5.101.0~),
+               libkf5newstuff-dev (>= 5.101.0~),
+               libkf5notifications-dev (>= 5.101.0~),
+               libkf5parts-dev (>= 5.101.0~),
+               libkf5solid-dev (>= 5.101.0~),
+               libkf5textwidgets-dev (>= 5.101.0~),
+               libkf5widgetsaddons-dev (>= 5.101.0~),
+               libkf5windowsystem-dev (>= 5.101.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
+               libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
@@ -82,7 +83,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libdolphinvcs5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.92.0~),
+         libkf5kio-dev (>= 5.101.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: library to show version control in Dolphin - development files
